# MongoDB\Driver\BulkWrite::count

(mongodb >=1.0.0)

MongoDB\Driver\BulkWrite::count — Count number of write operations in the bulk

### Description

public MongoDB\Driver\BulkWrite::count ( void ) : int

Returns the number of write operations added to the MongoDB\Driver\BulkWrite object.

### Parameters

This function has no parameters.

### Return Values

Returns number of write operations added to the MongoDB\Driver\BulkWrite object.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Changelog

Version | Description
--- | ---
1.2.0 | Returns the number of write operations added to the MongoDB\Driver\BulkWrite object. Earlier versions returned the expected number of client-to-server roundtrips required to execute all write operations.

### Examples

Example #1 MongoDB\Driver\BulkWrite::count() example

`<?php
$bulk = new MongoDB\Driver\BulkWrite;
$bulk->insert(['_id' => 1, 'x' => 1]);
$bulk->insert(['_id' => 2, 'x' => 2]);
$bulk->update(['x' => 2], ['$set' => ['x' => 1]]);
$bulk->delete(['x' => 1]);
var_dump(count($bulk));
?>`

The above example will output:

    int(4)